A-A+

CentOS安装包依赖问题

2012年02月26日 CentOS, Linux, 服务器 暂无评论 阅读 3,886 次
如果您有代购或者代维服务器、PHP网站建设、程序代码修改、系统开发等需求,可以联系我购买付费服务。QQ 379880222

php-mysql-5.1.6-27.el5_5.3.i386 from base has depsolving problems
--> Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-mysql-5.1.6-27.el5_5.3.i386 (base)
php-pdo-5.1.6-27.el5_5.3.i386 from base has depsolving problems
--> Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-pdo-5.1.6-27.el5_5.3.i386 (base)
Error: Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-pdo-5.1.6-27.el5_5.3.i386 (base)
Error: Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-mysql-5.1.6-27.el5_5.3.i386 (base)

如出现类似上面的依赖问题,解决方法目前我知道有三种
1.使用package-cleanup --dupes && package-cleanup --problems命令(无效的话尝试下面方法)
若提示#package-cleanup: command not found
请执行yum install yum-utils.noarch
2.启用该源安装 yum install --enablerepo=webtatic 需要安装的软件包名 (建议使用)
3.或者yum remove 依赖包(谨慎使用)
删除依赖包的时候会同时删除依赖于它的软件包,所以删除依赖包后需要重新安装这些软件包(包括依赖包)。一定谨慎使用。

标签:

给我留言